Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02259, UID# 2828
App. Status: Expired

Valid: 08/11/2020 - 08/14/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2539 (07/09/2020)

Charge Cost Quantity Total
Non-Taxable
added 07/09/2020 10:31 AM

Compliant 155,001 - 160,000 lbs

$140.00 x 1 $140.00
added 07/09/2020 10:31 AM

Fee for over length permit

$30.00 x 1 $30.00
added 07/09/2020 10:18 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/09/2020 10:31 AM

Fee for over width permit

$30.00 x 1 $30.00
added 07/09/2020 10:31 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $260.00
Payment 08/10/2020$260.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJohn D. Sunday - 07/09/2020 10:18 AM
c3f2ad1c4eebd2f26bf73217a31f2598
8c52e22d5c49fa6ed4f0739bcdb65197
 
#1 Permit Issuing OfficialRachel Grimm - 08/10/2020 11:14 AM
9c79abc24a389e2b3cf71608701f44db
40121f64d88dc97f6d687dc275ea5e90
 
Permit has been approved. All signatures have been obtained.